---
title: RTCIdentityEvent
slug: Web/API/RTCIdentityEvent
tags:
  - API
  - Experimental
  - Interface
  - RTCIdentityEVent
  - Reference
  - WebRTC
  - WebRTC API
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p>The <strong><code>RTCIdentityEvent</code></strong> interface represents an identity assertion generated by an identity provider (idP). This is usually for an {{domxref("RTCPeerConnection")}}. The only event sent with this type is {{event("identityresult")}}..</p>

<div class="note">
<p>Firefox implements this interface under the following name: <code>RTCPeerConnectionIdentityEvent.</code> It is likely that it will correct this name when it will unprefix {{domxref("RTCPeerConnection")}}, once spec and implementation will have been stabilized.</p>
</div>

<h2 id="Properties">Properties</h2>

<p><em>A {{domxref("RTCIdentityEvent")}} being an {{domxref("Event")}}, this event also implements these properties</em>.</p>

<dl>
 <dt>{{domxref("RTCIdentityEvent.assertion")}} {{readOnlyInline}}</dt>
 <dd>Returns the {{domxref("DOMString")}} containing a blob being the assertion generated.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>A {{domxref("RTCIdentityEvent")}} being an {{domxref("Event")}}, this event also implements these properties</em>.  <em>There is no specific <em>{{domxref("RTCIdentityEvent")}}</em> method.</em></p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">pc.onidentityresult = function( ev ) {
                         alert("A new identity assertion (blob: '" +
                               ev.assertion +
                               "') has been generated.");
                      }
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIdentityEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
 <li>Its usual target: {{domxref("RTCPeerConnection")}}.</li>
</ul>
